org.vertx.java.core.file

## Class FileProps

- java.lang.Object
- - org.vertx.java.core.file.FileProps

    public class FileProps
    extends java.lang.Object

Represents properties of a file on the file system

### Field Summary

Fields
`java.util.Date` `creationTime` The date the file was created
`boolean` `isDirectory` Is the file a directory?
`boolean` `isOther` Is the file some other type? (I.e.
`boolean` `isRegularFile` Is the file a regular file?
`boolean` `isSymbolicLink` Is the file a symbolic link?
`java.util.Date` `lastAccessTime` The date the file was last accessed
`java.util.Date` `lastModifiedTime` The date the file was last modified
`long` `size` The size of the file, in bytes

### Constructor Summary

Constructors
Constructor and Description
`FileProps(java.nio.file.attribute.BasicFileAttributes attrs)`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### creationTime

    public final java.util.Date creationTime

The date the file was created

#### lastAccessTime

    public final java.util.Date lastAccessTime

The date the file was last accessed

#### lastModifiedTime

    public final java.util.Date lastModifiedTime

The date the file was last modified

#### isDirectory

    public final boolean isDirectory

Is the file a directory?

#### isOther

    public final boolean isOther

Is the file some other type? (I.e. not a directory, regular file or symbolic link)

#### isRegularFile

    public final boolean isRegularFile

Is the file a regular file?

#### isSymbolicLink

    public final boolean isSymbolicLink

Is the file a symbolic link?

#### size

    public final long size

The size of the file, in bytes

### Constructor Detail

#### FileProps

    public FileProps(java.nio.file.attribute.BasicFileAttributes attrs)